package w2phtml.regressionTests;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.apache.commons.io.FileUtils;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class TestExample {

  @Test
  @DisplayName("Heading with page break before")
  public static void main(String[] args) throws Exception {

    List<String> arguments = new ArrayList<String>();
    arguments.add("-page_break_style");
    arguments.add("height:3em;margin-top:1em;margin-bottom:1em;background-color:red;");
    arguments.add("-html5");
    arguments.add("./testdocuments/input/heading_with_page_break_before.odt");
    arguments.add("./testdocuments/output/heading_with_page_break_before.html");
    w2phtml.Application.main(arguments.toArray(new String[0]));
//    System.out.println("Working Directory = " + System.getProperty("user.dir"));
    File result = new File("./testdocuments/output/heading_with_page_break_before.html");
    File model = new File("./testdocuments/model/heading_with_page_break_before.html");
//    System.out.println(result.exists());
//    System.out.println(model.exists());
    assertTrue( FileUtils.contentEquals(result, model),"The files differ!");
  }
}
